<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>S04: HTML Attributes and Links</title>
</head>
<body>
    
    <h2 align="center" id="top">HTML Attributes</h2>
    <!-- The align attribute changes the alignment of the text/paragraph -->
    <p align="center"><em>Modifiers of element behavior</em></p>

    <h2>HTML Images</h2>
    
    <p align="right">
        <em>
            An image can be shown using &lt; img &gt; tag along with its <strong>src </strong>attribute
        </em>
    </p>
    <!-- Adds an image using absolute linking -->
    <img src="https://place-puppy.com/300x300">
    <p>
        <code>
            &lt; img src="https://place-puppy.com/300x300"  &gt;
        </code>
    </p>

    <!-- Adds an images using relative linking -->
    <img src="./images/zuittlogo.png">
    <p>
        <code>
            &lt; img src="./images/zuittlogo.png" &gt;
        </code>
    </p>
    <!-- HTML tags wrapped inside an anchor tag will become clickable element -->
    <a href="https://place-puppy.com" target="_blank">
        <img src="https://place-puppy.com/300x300" alt="">
    </a>

    <p>Valid image extensions are the following:</p>
    <!-- type attribute can be "a", "A", "i", "I" -->
    <ol type="a" reversed>
        <li>png</li>
        <li>jpg</li>
        <li>gif</li>
        <li>svg</li>
        <li>webp</li>
    </ol>

    <p>
        Take a look at the w3schools attribute reference 
        <a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank"
        >Here</a>
    </p>


    <h2>HTMl Links</h2>

    <h4>Absolute Link</h4>

    <!-- Creates a hyperlink element that redirects to a different page. -->
    <a href="https://zuitt.co/" target="_blank">I'm a hyperlink</a>


    <h4>Relative Link</h4>

    <!-- Redirects to the link.html file -->
    <p>Go to <a href="./link.html">link.html</a> page</p>
    <!-- Redirects to the HTML element with the top id attribute -->
    <P>Go to <a href="#top">top</a></P>

</body>
</html>